Bug 1418723 - [RFE] Don't start upgrade if undercloud do not have network parameters
Summary: [RFE] Don't start upgrade if undercloud do not have network parameters
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 11.0 (Ocata)
Assignee: mathieu bultel
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 15:06 UTC by Raviv Bar-Tal
Modified: 2018-06-22 12:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 12:30:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Raviv Bar-Tal 2017-02-02 15:06:56 UTC
Description of problem:
In case now network information exist in undercloud.conf the upgrade procedure will change the network to the new default subnet 192.168.24.0

To prevent upgrade failures and network changes, the upgrade should check for the relevant network parameters in undercloud.conf (line local_ip) and exit if the parameters are not in conf file 


Version-Release number of selected component (if applicable):


How reproducible:
Run unercloud upgrade from Newton to Ocata 

Steps to Reproduce:
1.
2.
3.

Actual results:
Installation will fail and Network will change from default 192.0.2.1 to new default 192.168.24.1

Expected results:


Additional info:

Comment 1 Mike Orazi 2017-03-27 13:02:22 UTC
There is a similar bug from Yurii to cover the documentation aspect of this.  Jarda, can you review and decide if you would like to propose this as a release blocker or defer to a future release?

Comment 2 Scott Lewis 2018-06-22 12:30:07 UTC
OSP11 is now retired, see details at https://access.redhat.com/errata/product/191/ver=11/rhel---7/x86_64/RHBA-2018:1828


Note You need to log in before you can comment on or make changes to this bug.